Bug 117326 - workspace-switcher applet allows windows to overlap to the workspace on the left
Summary: workspace-switcher applet allows windows to overlap to the workspace on the left
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL: http://www.rewster.org/~rewster/pics/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-02 21:08 UTC by JP LaFleur
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.5.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 15:40:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description JP LaFleur 2004-03-02 21:08:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
When moving windows around on the current desktop (that is, dragging
them by their titlebars, not dragging them in the workspace switcher),
it is possible to move portions of the windows off the edge of the
screen.  In the screenshot in the example, there are two terminals,
each moved off a different side of the second workspace.  The one on
the left shows in the switcher as though it were on both workspaces,
though it does not appear on the next workspace to the left.  However,
it appears in the switcher as being on top of any windows that happen
to be in the area it covers.  The terminal on the right is off the
right side of the current workspace, and appears to be behaving
normally.  This happens when the switcher is arranged for columns as
well.  I have also reproduced it on an additional machine.

Version-Release number of selected component (if applicable):
gnome-panel-2.4.2-3

How reproducible:
Always

Steps to Reproduce:
1.Set workspace-switcher to display multiple workspaces, in one column
or more
2.Drag a window by it's titlebar (not in the workspace-switcher) so
that it is hanging off the screen to the left.

Actual Results:  Window appears to be on top of both workspaces.

Expected Results:  Window would appear to end at the end of the
workspace it's currently on.

Comment 1 Mark McLoughlin 2004-03-03 15:40:22 UTC
This is fixed in Raw Hide. (from libwnck 2.5.1-1 onwards)

The upstream bug report is:

    http://bugzilla.gnome.org/show_bug.cgi?id=104700


Note You need to log in before you can comment on or make changes to this bug.